GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
tdesc_type_with_fields Struct Reference
Inheritance diagram for tdesc_type_with_fields:

## Public Member Functions
| tdesc_type_with_fields (const std::string &name, tdesc_type_kind kind, int size_=0)
void | accept (tdesc_element_visitor &v) const override
type * | make_gdb_type_struct (struct gdbarch *gdbarch) const
type * | make_gdb_type_union (struct gdbarch *gdbarch) const
type * | make_gdb_type_flags (struct gdbarch *gdbarch) const
type * | make_gdb_type_enum (struct gdbarch *gdbarch) const
type * | make_gdb_type (struct gdbarch *gdbarch) const override
Public Member Functions inherited from tdesc_type
| tdesc_type (const std::string &name_, enum tdesc_type_kind kind_)
virtual | ~tdesc_type ()=default
| DISABLE_COPY_AND_ASSIGN (tdesc_type)
bool | operator== (const tdesc_type &other) const
bool | operator!= (const tdesc_type &other) const

## Public Attributes
std::vector< tdesc_type_field > | fields
int | size
Public Attributes inherited from tdesc_type
std::string | name
enum tdesc_type_kind | kind

## Detailed Description

Definition at line 355 of file target-descriptions.c.

## Constructor & Destructor Documentation

## ◆ tdesc_type_with_fields()

tdesc_type_with_fields::tdesc_type_with_fields | ( | const std::string & | name,
|  | tdesc_type_kind | kind,
|  | int | size_ = `0`
| ) |  |
| inline

Definition at line 357 of file target-descriptions.c.

## Member Function Documentation

## ◆ accept()

void tdesc_type_with_fields::accept | ( | tdesc_element_visitor & | v | ) | const
| inline override virtual

Implements tdesc_element.

Definition at line 362 of file target-descriptions.c.

References tdesc_element_visitor::visit().

## ◆ make_gdb_type()

type* tdesc_type_with_fields::make_gdb_type | ( | struct gdbarch * | gdbarch | ) | const
| inline override virtual

Implements tdesc_type.

Definition at line 484 of file target-descriptions.c.

References internal_error(), tdesc_type::kind, make_gdb_type_enum(), make_gdb_type_flags(), make_gdb_type_struct(), make_gdb_type_union(), tdesc_type::name, tdesc_find_type(), TDESC_TYPE_ENUM, TDESC_TYPE_FLAGS, TDESC_TYPE_STRUCT, and TDESC_TYPE_UNION.

## ◆ make_gdb_type_enum()

type* tdesc_type_with_fields::make_gdb_type_enum | ( | struct gdbarch * | gdbarch | ) | const
| inline

Definition at line 464 of file target-descriptions.c.

References append_composite_type_field_raw(), arch_type(), fields, tdesc_type::name, SET_FIELD_BITPOS, size, TARGET_CHAR_BIT, TYPE_CODE_ENUM, and TYPE_UNSIGNED.

Referenced by make_gdb_type().

## ◆ make_gdb_type_flags()

type* tdesc_type_with_fields::make_gdb_type_flags | ( | struct gdbarch * | gdbarch | ) | const
| inline

Definition at line 446 of file target-descriptions.c.

References append_flags_type_field(), arch_flags_type(), fields, gdb_assert, tdesc_type::name, size, and TARGET_CHAR_BIT.

Referenced by make_gdb_type().

## ◆ make_gdb_type_struct()

type* tdesc_type_with_fields::make_gdb_type_struct | ( | struct gdbarch * | gdbarch | ) | const
| inline

Definition at line 367 of file target-descriptions.c.

References append_composite_type_field(), append_composite_type_field_raw(), arch_composite_type(), builtin_type(), builtin_type::builtin_uint32, builtin_type::builtin_uint64, FIELD_BITSIZE, fields, gdb_assert, gdbarch_bits_big_endian(), tdesc_type::name, SET_FIELD_BITPOS, size, TARGET_CHAR_BIT, TYPE_CODE_STRUCT, TYPE_LENGTH, TYPE_NAME, and TYPE_TAG_NAME.

Referenced by make_gdb_type().

## ◆ make_gdb_type_union()

type* tdesc_type_with_fields::make_gdb_type_union | ( | struct gdbarch * | gdbarch | ) | const
| inline

Definition at line 425 of file target-descriptions.c.

References append_composite_type_field(), arch_composite_type(), fields, tdesc_type::name, TYPE_CODE_UNION, TYPE_NAME, and TYPE_VECTOR.

Referenced by make_gdb_type().

## Member Data Documentation

## ◆ fields

std::vector<tdesc_type_field> tdesc_type_with_fields::fields

Definition at line 509 of file target-descriptions.c.

Referenced by make_gdb_type_enum(), make_gdb_type_flags(), make_gdb_type_struct(), and make_gdb_type_union().

## ◆ size

int tdesc_type_with_fields::size

Definition at line 510 of file target-descriptions.c.

Referenced by make_gdb_type_enum(), make_gdb_type_flags(), and make_gdb_type_struct().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/target-descriptions.c